io.undertow.protocols.http2

## Class AbstractHttp2StreamSourceChannel

- java.lang.Object
- - io.undertow.server.protocol.framed.AbstractFramedStreamSourceChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>
  - - io.undertow.protocols.http2.AbstractHttp2StreamSourceChannel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, InterruptibleChannel, ReadableByteChannel, ScatteringByteChannel, org.xnio.channels.CloseableChannel, org.xnio.channels.Configurable, org.xnio.channels.StreamSourceChannel, org.xnio.channels.SuspendableReadChannel

Direct Known Subclasses:
  Http2GoAwayStreamSourceChannel, Http2PingStreamSourceChannel, Http2PushPromiseStreamSourceChannel, Http2RstStreamStreamSourceChannel, Http2SettingsStreamSourceChannel, Http2StreamSourceChannel

    public class AbstractHttp2StreamSourceChannel
    extends AbstractFramedStreamSourceChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>

HTTP2 stream source channel

Author:
  Stuart Douglas

### Field Summary

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Http2Channel` `getFramedChannel()`
`Http2Channel` `getHttp2Channel()`
`protected void` `handleHeaderData(FrameHeaderData headerData)`
`protected void` `lastFrame()`
`protected void` `markStreamBroken()` Called when this stream is no longer valid.

### Methods inherited from class io.undertow.server.protocol.framed.AbstractFramedStreamSourceChannel

`addCloseTask, awaitReadable, awaitReadable, channelForciblyClosed, close, complete, dataReady, getCloseSetter, getIoThread, getMaxStreamSize, getOption, getReadFrameCount, getReadSetter, getReadThread, getWorker, isComplete, isLastFrame, isOpen, isReadResumed, processFrameData, read, read, read, resumeReads, setMaxStreamSize, setOption, shutdownReads, supportsOption, suspendReads, transferTo, transferTo, updateFrameDataRemaining, wakeupReads`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### handleHeaderData

    protected void handleHeaderData(FrameHeaderData headerData)

Overrides:
  `handleHeaderData` in class `AbstractFramedStreamSourceChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>`

#### getFramedChannel

    protected Http2Channel getFramedChannel()

Overrides:
  `getFramedChannel` in class `AbstractFramedStreamSourceChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>`

#### getHttp2Channel

    public Http2Channel getHttp2Channel()

#### lastFrame

    protected void lastFrame()

Overrides:
  `lastFrame` in class `AbstractFramedStreamSourceChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>`

#### markStreamBroken

    protected void markStreamBroken()

Description copied from class: `AbstractFramedStreamSourceChannel`
Called when this stream is no longer valid. Reads from the stream will result in an exception.

Overrides:
  `markStreamBroken` in class `AbstractFramedStreamSourceChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>`